import { EditorView as CMEditorView } from '@codemirror/basic-setup';
import React from 'react';
import './Editor.css';
interface EditorProps {
    /** Giá trị content khởi tạo */
    initialDoc?: string;
    /** Chiều cao trình soạn thảo, mặc định là 500 */
    height?: number;
    /** Hàm chạy mỗi khi content thay đổi */
    onChange?: (doc: string) => void;
    /** Hàm chạy mỗi khi lưu bằng tổ hợp phím `Ctrl-S` hoặc `Cmd-S` */
    onSave?: (doc: string) => void;
    /**  Hàm chạy khi có lỗi gì đó, ví dụ lỗi xác thực file, ..., dùng để push thông báo */
    onError?: (error: string) => void;
    /** Định dạng file chấp nhận tải lên */
    acceptTypes?: string;
    /** Hàm chạy khi kéo thả/copy pate file vào editor */
    uploadFunction?: (file: File, onSuccess: (url: string) => void) => void;
    /** Hàm lấy instance của CM, cho phép thao tác trực tiếp */
    getCMInstance?: (editorView: CMEditorView | null) => void;
}
declare const _default: React.NamedExoticComponent<EditorProps>;
export default _default;
